org.springframework.beans.propertyeditors

## Class ByteArrayPropertyEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.beans.propertyeditors.ByteArrayPropertyEditor

All Implemented Interfaces:
  PropertyEditor

Direct Known Subclasses:
  ByteArrayMultipartFileEditor

    public class ByteArrayPropertyEditor
    extends PropertyEditorSupport

Editor for byte arrays. Strings will simply be converted to their corresponding byte representations.

Since:
  1.0.1
Author:
  Juergen Hoeller
See Also:
  `String.getBytes(int, int, byte[], int)`

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayPropertyEditor()`

### Method Summary

Methods
`String` `getAsText()`
`void` `setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayPropertyEditor

    public ByteArrayPropertyEditor()

### Method Detail

#### setAsText

    public void setAsText(String text)

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`

#### getAsText

    public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`